StringConfigOption (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.config.StringConfigOption class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.config
Class StringConfigOption

    java.lang.Object
      org.hyperic.util.config.ConfigOption
          org.hyperic.util.config.StringConfigOption

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  HiddenConfigOption, IpAddressConfigOption, MacAddressConfigOption, MulticastIpAddressConfigOption

    public class StringConfigOption

extends ConfigOption
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`StringConfigOption(java.lang.String optName, java.lang.String optDesc)`
`StringConfigOption(java.lang.String optName, java.lang.String optDesc, java.lang.String defValue)`

Method Summary
`void` | `checkOptionIsValid(java.lang.String value)`
`int` | `getMaxLength()`
`int` | `getMinLength()`
`boolean` | `isHidden()`
`boolean` | `isSecret()`
`void` | `setHidden(boolean val)`
`void` | `setMaxLength(int len)`
`void` | `setMinLength(int len)` Option properties
`void` | `setSecret(boolean val)`

Methods inherited from class org.hyperic.util.config.ConfigOption
`copy, equals, getCategory, getConfirm, getDefault, getDescription, getName, hashCode, invalidOption, isOptional, setCategory, setConfirm, setDefault, setDescription, setName, setOptional, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringConfigOption

    public StringConfigOption(java.lang.String optName,
                              java.lang.String optDesc,
                              java.lang.String defValue)

### StringConfigOption

    public StringConfigOption(java.lang.String optName,
                              java.lang.String optDesc)

Method Detail

### checkOptionIsValid

    public void checkOptionIsValid(java.lang.String value)
                            throws InvalidOptionValueException

  Specified by:
    `checkOptionIsValid` in class `ConfigOption`
  Throws:
    `InvalidOptionValueException`

### setMinLength

    public void setMinLength(int len)

  Option properties

### getMinLength

    public int getMinLength()

### setMaxLength

    public void setMaxLength(int len)

### getMaxLength

    public int getMaxLength()

### setSecret

    public void setSecret(boolean val)

### isSecret

    public boolean isSecret()

### setHidden

    public void setHidden(boolean val)

### isHidden

    public boolean isHidden()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.